// import { connectRouter } from 'connected-react-router';
import { connectRouter } from 'connected-react-router/immutable';
// import { combineReducers } from 'redux';
import { combineReducers } from 'redux-immutable';

import { reducer as globalReducer } from './containers/App/store';
import history from './utils/history';

export default function createReducer(injectedReducers = {}) {
  const rootReducer = combineReducers({
    global: globalReducer,
    router: connectRouter(history),
    ...injectedReducers,
  });

  return rootReducer;
}
